QGIS Application - Bug report #18546

Processing toolbox does not mention when deactivated provider would return a result for the
performed search

2018-03-26 05:39 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:3.1(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 26434
Description

QGIS documentation states at https://docs.qgis.org/2.18/en/docs/user_manual/processing/toolbox.html: If there are algorithms that match
your search but belong to a provider that is not active, an additional label will be shown in the lower part of the toolbox

This is true in 2.18 but not in 3.x. In attached screenshot, GRASS is disabled in right panel, but despite it should return results, no
mention.

History

#1 - 2018-03-27 03:46 AM - Nyall Dawson

This is fallout from commit:9ab4d96362464b9785e869e34aa776d7a59212¢c6, which fixes #18488

The two fixes are mutually exclusive.

My personal preference is to have #18488 fixed instead of this (due to performance reasons -- loading saga/grass providers is very slow and delays qgis

startup considerably)

#2 - 2018-03-27 09:51 AM - Harrissou Santanna

So | guess it's a "won't fix", right? (need to know whether | should remove those statements from the docs or wait and expect a fix that speeds providers

loading and show link to missing algs...)

#3 - 2018-06-01 05:29 AM - Nyall Dawson
- Resolution set to wontfix
- Status changed from Open to Closed
